Submit phone-number verification feedback
curl --request POST \
--url https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"phone_number": "<string>"
}
'import requests
url = "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/"
payload = { "phone_number": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"phone_number\": \"<string>\"\n}")
.asString();{
"id": 123,
"phone_number": "<string>",
"contact_status": "<string>",
"is_correct_person": true,
"name": "<string>",
"person_id": 123,
"date_created": "2023-11-07T05:31:56Z"
}Phone number feedback
Submit connected or disconnected feedback for a phone number returned by a Forager person lookup.
POST
https://api-v2.forager.ai
/
api
/
{account_id}
/
datastorage
/
feedback
/
phone_numbers
/
Submit phone-number verification feedback
curl --request POST \
--url https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/ \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"phone_number": "<string>"
}
'import requests
url = "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/"
payload = { "phone_number": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_number: '<string>'})
};
fetch('https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_number\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_number' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api-v2.forager.ai/api/{account_id}/datastorage/feedback/phone_numbers/")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"phone_number\": \"<string>\"\n}")
.asString();{
"id": 123,
"phone_number": "<string>",
"contact_status": "<string>",
"is_correct_person": true,
"name": "<string>",
"person_id": 123,
"date_created": "2023-11-07T05:31:56Z"
}When to use this endpoint
You learned whether a phone number Forager returned connected or was disconnected on a live call and want to send that outcome back. Free, rate limited to 60 requests per minute per account across the three feedback endpoints.Example request
cURL
curl -X POST "https://api-v2.forager.ai/api/$FORAGER_ACCOUNT_ID/datastorage/feedback/phone_numbers/" \
-H "X-API-KEY: $FORAGER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone_number": "+12025550142",
"contact_status": "connected",
"is_correct_person": true,
"person_id": 48213
}'
FORAGER_API_KEY and FORAGER_ACCOUNT_ID as in the quickstart.
Example response
201 (illustrative values)
{
"id": 312,
"phone_number": "+12025550142",
"contact_status": "connected",
"is_correct_person": true,
"name": "Jane Doe",
"person_id": 48213,
"date_created": "2026-10-20T08:15:00Z"
}
Credits
This endpoint is free: it does not use credits. See API credits and pricing.Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request serializer for phone-number verification feedback.
Response
Response serializer for created phone feedback rows.
Last modified on November 1, 2026